My Project

- Main Page
- Namespaces
- Files

- Namespace List
- Namespace Members

Functions
oo::define Namespace Reference

## Functions
| classmethod name?args??body?

## Function Documentation

oo::define::classmethod |  |  | name ?args? ?body?

Extension to TclOO to add static methods. Defines the method on the class instead of on the object. Can be used for the creation of megawidgets using TclOO by overriding the unknown method to detect if the user is trying to instantiate a widget (because the method will be unknown and start with a dot).